{ config, lib, pkgs, user, ... }:

{
  home = {
    username = "${user}";
    homeDirectory = "/home/${user}";

    packages = with pkgs; [
      exa
      bat
      firefox
      jq
      htop
      ripgrep
      pavucontrol
      gnumake
      unzip
      gcc
      slack
      thunderbird
      signal-desktop
      tdesktop
      whatsapp-for-linux
      nextcloud-client
      keepassxc
      tree
      light
      element-desktop
      difftastic
      zoom-us
      unclutter
      neovide
    ];

    stateVersion = "22.05";
  };

  programs.home-manager.enable = true;

  imports = [
    home-manager/fzf.nix
    home-manager/git.nix
    home-manager/kitty.nix
    home-manager/neovim
    home-manager/gpg
    home-manager/zsh.nix
    home-manager/starship.nix
    home-manager/i3
    ./home-manager/rofi.nix
    ./home-manager/direnv.nix
  ];
}
